Package org.apache.commons.collections4

# Interface MultiSet.Entry<E>

Type Parameters:
  `E` - the element type

All Known Implementing Classes:
  `AbstractMapMultiSet.MultiSetEntry`, `AbstractMultiSet.AbstractEntry`

Enclosing interface:
  `MultiSet<E>`

public static interface MultiSet.Entry<E>
An unmodifiable entry for an element and its occurrence as contained in a MultiSet.

The `MultiSet.entrySet()` method returns a view of the multiset whose elements implement this interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Compares the specified object with this entry for equality.
  `int`
  `getCount()`
  Returns the number of occurrences for the element of this entry.
  `E`
  `getElement()`
  Returns the element corresponding to this entry.
  `int`
  `hashCode()`
  Returns the hash code value for this multiset entry.

- ## Method Details

  - ### equals

    boolean equals(Object o)
    Compares the specified object with this entry for equality. Returns true if the given object is also a multiset entry and the two entries represent the same element with the same number of occurrences.

    More formally, two entries `e1` and `e2` represent the same mapping if

             (e1.getElement()==null ? e2.getElement()==null
                                    : e1.getElement().equals(e2.getElement())) &&
             (e1.getCount()==e2.getCount())

    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - object to be compared for equality with this multiset entry
    Returns:
      true if the specified object is equal to this multiset entry

  - ### getCount

    int getCount()
    Returns the number of occurrences for the element of this entry.
    Returns:
      the number of occurrences of the element

  - ### getElement

    E getElement()
    Returns the element corresponding to this entry.
    Returns:
      the element corresponding to this entry

  - ### hashCode

    int hashCode()
    Returns the hash code value for this multiset entry.

    The hash code of a multiset entry `e` is defined to be:

              (e==null ? 0 : e.hashCode()) ^ noOccurrences)

    Overrides:
      `hashCode` in class `Object`
    Returns:
      the hash code value for this multiset entry